Bug 41349 - System.TimeZoneInfo.IsDaylightSavingTime (DateTimeOffset dateTimeOffset) Not Implemented Exception
Summary: System.TimeZoneInfo.IsDaylightSavingTime (DateTimeOffset dateTimeOffset) Not ...
Status: RESOLVED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: BCL Class Libraries (show other bugs)
Version: 6.0.99
Hardware: All All
: --- normal
Target Milestone: ---
Assignee: marcos.henrich
URL:
Depends on:
Blocks:
 
Reported: 2016-05-27 06:48 UTC by joeperkins
Modified: 2016-07-18 15:28 UTC (History)
2 users (show)

See Also:
Tags: API 21, BZCU
Is this bug a regression?: ---
Last known good build:


Attachments

Description joeperkins 2016-05-27 06:48:09 UTC
System.NotImplementedException: The method or operation is not implemented.
  at System.TimeZoneInfo.IsDaylightSavingTime (DateTimeOffset dateTimeOffset) [0x00000] in /Users/builder/data/lanes/3236/ee215fc9/source/mono/mcs/class/corlib/System/TimeZoneInfo.cs:843
Comment 1 marcos.henrich 2016-07-11 16:25:46 UTC
Hi joeperkins,

Thanks for the bug report.

The issue should be fixed by PR 3264.
https://github.com/mono/mono/pull/3264
Comment 2 marcos.henrich 2016-07-18 15:28:29 UTC
Fixed in master d817c0a1297ef818aea77250729fe9721e86c6e8
https://github.com/mono/mono/commit/d817c0a1297ef818aea77250729fe9721e86c6e8

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.